summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0010variable_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0010variable_0')
-rwxr-xr-xtests/shell/testcases/nft-f/0010variable_013
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0010variable_0 b/tests/shell/testcases/nft-f/0010variable_0
new file mode 100755
index 0000000..69c80c7
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0010variable_0
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+RULESET="define whitelist_v4 = { 1.1.1.1 }
+
+table inet filter {
+ set whitelist_v4 { type ipv4_addr; }
+}
+add element inet filter whitelist_v4 \$whitelist_v4
+"
+
+$NFT -f - <<< "$RULESET"